%define name	madman
%define version	0.91.1
%define release	2mdk

# Don't run libtoolize in %%configure
%define __libtoolize    /bin/true

Summary:	Madman is a music manager.
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
URL:		http://madman.sourceforge.net
Group:		Sound
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}-16.png
Source2:	%{name}-32.png
Source3:	%{name}-48.png
Source4:	mad2pl-0.1.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}
BuildRequires:	qt3-devel
BuildRequires:	xmms-devel
BuildRequires:	libid3-devel
BuildRequires:	oggvorbis-devel

%description
Madman makes your digital music experience what it should have
been from the start. Fun, not clumsy. Organized, not a mess.
Cool, not technical.

Madman automatically creates an index of all the digital music
that you have. So, if you know you have that cool old Indie
album lying around somewhere, but you just can't remember where,
use madman's intelligent search features to see where it is.
You don't even need to remember the exact spelling, madman's
fuzzy search finds what you're looking for anyway. 
  

%prep
%setup -q
%setup -q -T -D -a4

%build
%configure

%make
# make mad2pl
cd mad2pl
prefix=%{_prefix} make
cd ..

%install
rm -rf %{buildroot}
make install DESTDIR=$RPM_BUILD_ROOT

# install mad2pl
pwd
cd mad2pl
install mad2pl $RPM_BUILD_ROOT%{_bindir}
# rename README
mv README README.mad2pl

# menu
(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%name <<EOF
?package(%name):\
command="/usr/bin/%{name}"\
icon="%name.png"\
title="Madman"\
longtitle="Madman, a music manager."\
needs="x11"\
section="Multimedia/Sound"
EOF
)

install -d %buildroot/%_miconsdir
install -d %buildroot/%_liconsdir
install -d %buildroot/%_iconsdir

# icons
install -m644 %SOURCE1 %buildroot/%_miconsdir/%name.png
install -m644 %SOURCE2 %buildroot/%_iconsdir/%name.png
install -m644 %SOURCE3 %buildroot/%_liconsdir/%name.png

# no files yet
#%%{find_lang} %name


%post
%{update_menus}

%postun
%{clean_menus}


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc COPYING README mad2pl/README.mad2pl
%{_bindir}/*
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/plugins
%{_libdir}/%{name}/plugins/*
%{_datadir}/icons/*
%{_menudir}/%{name}


%changelog
* Tue Oct 28 2003 Marcel Pol <mpol@gmx.net> 0.91.1-2mdk
- added icons from Cameron Hart <cam@bitshifter.net.nz>

* Sun Oct 19 2003 Marcel Pol <mpol@gmx.net> 0.91.1-1mdk
- initial mandrake release

